Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Dec 2020 14:14:39 -0500

>> Not only that, but I added printfs in emacs itself around the 
>> garbage_collect() and gc_sweep() functions.  Each line prints the 
>> unix timestamp when it began, and the 'end' lines print the 
>> duration since the start.  You can see that the entire 50 minutes 
>> was spent in gc_sweep():
>
> I think this is expected if you have a lot of objects to sweep.

Actually, I'm surprised most of the time is spent in gc_sweep:
mark_object is usually where most of the time is spent, so this suggests
that the total heap size is *much* larger than the amount of live objects.

        Stefan